Re: [code] Shared objects

From: Verbitsky Anton <averbitski.att.yandex.ua>
Date: Wed, 04 Apr 2012 20:03:06 +0400

Thanks Mitchell!

I have 64.

I have yet another strange problem:

I copied init.lua from modules "/modules/textadept/"
into my ".textadept/" folder and added
at the beginning

package.path = table.concat({
  _USERHOME..'/modules/anton/spellchecker/init.lua',
  package.path
}, ';');

I didn't do anything else.
Now, every time a press a button I get
/home/anton/TextAdept/core/keys.lua:248: attempt to call method 'get_lexer' (a nil value)

Did I do something remarkably foolish?

Thanks,
anton

04.04.2012, 18:41, "Mitchell" <m.att.foicica.com>:
> Anton,
>
> On Tue, 3 Apr 2012, Verbitsky Anton wrote:
>
>> Thanks for feedback Mitchell!
>>
>> With JIT I get
>> /home/anton/.textadept/modules/anton/spellchecker/init.lua:2: loop or previous error loading module 'spell'
>>
>> No very informative sorry...
>>
>> Once again from lua interpreter everything can be loaded perfectly.
>
> I will look at this over the weekend when I have some time. Are you on
> 32-bit or 64-bit Arch?
>
> Thanks,
> Mitchell
>
>> 03.04.2012, 00:19, "Mitchell" <m.att.foicica.com>:
>>> On Tue, 3 Apr 2012, Verbitsky Anton wrote:
>>>> That was the question. I don't know whether the problem is on the side of client code (Hunspell) or server code (TextAdept)
>>>> Has anybody had some experience with modules from *.so files in newer versions of TextAdept, since the change to Lua 5.2?
>>> Okay, your error is very likely due to Hunspell not being Lua 5.2
>>> compatible. Try running with the JIT version of Textadept until Hunspell
>>> is updated.
>>>
>>> Mitchell
>>>> 02.04.2012, 20:43, "Michal Kottman" <k0mpjut0r.att.gmail.com>:
>>>>> On 2 April 2012 16:16, Verbitsky Anton <averbitski.att.yandex.ua> wrote:
>>>>>> Where's the problem:
>>>>>> 1. There was some change in the binding interface, and I need to
>>>>>> modify the binding *.cpp file and recompile everything against Lua 5.2.
>>>>>> and then everything will be ok.
>>>>> Could you publish the changes, so that I could update the hunspell bindings on Github to make them work on Lua 5.2?
>>> Mitchell
>>>
>>> --
>>> You are subscribed to code.att.foicica.com.
>>> To change subscription settings, send an e-mail to code+help.att.foicica.com.
>>> To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
>
> Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Wed 04 Apr 2012 - 12:03:06 EDT

This archive was generated by hypermail 2.2.0 : Thu 05 Apr 2012 - 06:37:58 EDT